<?php
/**
* Joomla Community Builder User Plugin: cb.autoAassignGroup
* @version $Id$
* @package cb.AAG
* @subpackage cb.auto_assign_group.xml
* @author Down999 edition For CB 1.4 and Joomla 1.6 -> Based on cb.JLSGroupSelector by Jorge Luis Savoini (aka BestBeast) -> Based on em_regroup by Dron GS. (aka dron)
* @copyright (C) ... by community ...
* @license Limited http://www.gnu.org/copyleft/gpl.html GNU/GPL
*/

/** ensure this file is being included by a parent file **/
if( ! ( defined( '_VALID_CB' ) || defined( '_JEXEC' ) || defined( '_VALID_MOS' ) ) ) { die( 'Direct Access to this location is not allowed.' ); }

$_PLUGINS->registerFunction( 'onAfterUserRegistration', 'aagUserRegistration', 'cb_autoAssignGroup_class' );

/** Need to generate tab object to grab plugin parameters. */
class cb_autoAssignGroup_class extends cbTabHandler
{
    /** Construnctor */
    function cb_autoAssignGroup_class()
    {
	$this->cbTabHandler();
    }
	
    /**
     * Get all plugin, tab, and CB fields related with this application
     * @access private
     * @param object mosUser reflecting the user being displayed
     */
    function _awGetPlugParameters()
    {
	$PlugParams["jlsrg_enable"] = intval($this->params->get('jlsrg_enable', 0));
	return $PlugParams;
    }
	
    function aagUserRegistration($user, $success)
    {
	global $_CB_framework, $_PLUGINS;
	$database = &JFactory::getDBO();
		
	$plugparams=$this->_awGetPlugParameters();
	if(!$success)
	    return false;
		
	if($plugparams["jlsrg_enable"])
	{
	    $cbFieldnameUsertype = $this->params->get( 'cb_fieldname_usertype', 'cb_usertype' );
	    $query = "SELECT ".$cbFieldnameUsertype." FROM #__comprofiler WHERE user_id = " . (int) $user->id ;
	    $database->setQuery( $query );
	    $usertype = $database->loadResult();

	    $gid = (int) $_CB_framework->acl->get_group_id( $usertype, 'ARO' );

	    if($gid && $usertype && (intval($user->id)) > 0 )
	    {
		if(intval($user->id))
		{
		    $query = "UPDATE #__users SET usertype = '".$usertype."' WHERE id = " . (int) $user->id;
		    $database->setQuery($query);
		    $database->Query();
				
		    $query = "UPDATE #__user_usergroup_map SET group_id = " . $gid . " WHERE user_id = " . (int) $user->id;
		    $database->setQuery( $query );
		    $database->query();
		} 
	    }
	}	
    }		
} /** end of class cb_autoAssignGroup_class */
?>